Create legacy merchant webhooks

Configures webhooks using the legacy workflow, including the URLs a merchant's webhooks are sent to and the event types which trigger webhooks.

If you need to whitelist the IP addresses that send the webhooks, you can find the list for both sandbox and production environments at https://ip-ranges.nex.io/ip-ranges.json.

For a tutorial about configuring and using webhooks, see Configuring webhooks in Guides.

Note

For the current workflow, see the Register webhook URLs endpoint instead.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Important

Nexio supports only either the new webhooks or these legacy ones. Before configuring URLs for legacy webhooks, ensure that you do not have any URLS for the new ones configured: View webhook URLs by ID and type.

If you need to remove one or more (or all) legacy webhooks, use this endpoint, but send an empty webhooks object to remove all or, to remove just one, send all current configured webhooks minus the object that corresponds to the event type for the webhook you want to remove. For additional information, see Deregistering legacy webhooks in Guides.

Request parameters

  • merchantId
  • payoutAccountId
  • webhooks
  • webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED
  • webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED.url
  • webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER
  • webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER.url
  • webhooks.CARD_DATA_UPDATED
  • webhooks.CARD_DATA_UPDATED.url
  • webhooks.CARD_SAVED
  • webhooks.CARD_SAVED.url
  • webhooks.ECHECK_SAVED
  • webhooks.ECHECK_SAVED.url
  • webhooks.SUBSCRIPTION_DETAILS
  • webhooks.SUBSCRIPTION_DETAILS.url
  • webhooks.TRANSACTION_AUTHORIZED
  • webhooks.TRANSACTION_AUTHORIZED.url
  • webhooks.TRANSACTION_CAPTURED
  • webhooks.TRANSACTION_CAPTURED.url
  • webhooks.TRANSACTION_PENDING
  • webhooks.TRANSACTION_PENDING.url
  • webhooks.TRANSACTION_REFUNDED
  • webhooks.TRANSACTION_REFUNDED.url
  • webhooks.TRANSACTION_SETTLED
  • webhooks.TRANSACTION_SETTLED.url
  • webhooks.TRANSACTION_VOIDED
  • webhooks.TRANSACTION_VOIDED.url
  • webhooks.PAYOUT
  • webhooks.PAYOUT.url
  • webhooks.SPENDBACK
  • webhooks.SPENDBACK.url

Response parameters

  • merchantId
  • payoutAccountId
  • webhooks
  • webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED
  • webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED.url
  • webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER
  • webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER.url
  • webhooks.CARD_DATA_UPDATED
  • webhooks.CARD_DATA_UPDATED.url
  • webhooks.CARD_SAVED
  • webhooks.CARD_SAVED.url
  • webhooks.ECHECK_SAVED
  • webhooks.ECHECK_SAVED.url
  • webhooks.SUBSCRIPTION_DETAILS
  • webhooks.SUBSCRIPTION_DETAILS.url
  • webhooks.TRANSACTION_AUTHORIZED
  • webhooks.TRANSACTION_AUTHORIZED.url
  • webhooks.TRANSACTION_CAPTURED
  • webhooks.TRANSACTION_CAPTURED.url
  • webhooks.TRANSACTION_PENDING
  • webhooks.TRANSACTION_PENDING.url
  • webhooks.TRANSACTION_REFUNDED
  • webhooks.TRANSACTION_REFUNDED.url
  • webhooks.TRANSACTION_SETTLED
  • webhooks.TRANSACTION_SETTLED.url
  • webhooks.TRANSACTION_VOIDED
  • webhooks.TRANSACTION_VOIDED.url
  • webhooks.PAYOUT
  • webhooks.PAYOUT.url
  • webhooks.SPENDBACK
  • webhooks.SPENDBACK.url
  • dateCreated
  • dateLastModified
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

When registering one or more webhooks for a merchantId, you must specify the merchantId as well as at least one webhook type in the webhooks object.

string
required

The Nexio merchant ID to register the webhook URL for. The ID parameter name to use is merchantId.

Either this parameter or payoutAccountId is required.

webhooks
object
required

An object containing the webhook URL. See the event types table to see a possible list of keys.

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json